# Class Rgb16

java.lang.Object
org.jmol.util.Rgb16

public final class Rgb16 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`b`
`int`
`g`
`int`
`r`

## Constructor Summary

Constructors
Constructor
Description
`Rgb16()`

## Method Summary

Modifier and Type
Method
Description
`void`
`diffDiv(Rgb16 a, Rgb16 b, int divisor)`
`int`
`getArgb()`
`static Rgb16`
`newI(int argb)`
`void`
`setAndIncrement(Rgb16 base, Rgb16 inc)`
`void`
`setInt(int a)`
`void`
`setRgb(Rgb16 a)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### r

public int r

### g

public int g

### b

public int b

## Constructor Details

### Rgb16

public Rgb16()

## Method Details

### newI

public static Rgb16 newI(int argb)

### setInt

public void setInt(int a)

### setRgb

public void setRgb(Rgb16 a)

### diffDiv

public void diffDiv(Rgb16 a, Rgb16 b, int divisor)

### setAndIncrement

public void setAndIncrement(Rgb16 base, Rgb16 inc)

### getArgb

public int getArgb()

### toString

public String toString()

Overrides:
  `toString` in class `Object`